it-swarm-es.com

¿Por qué tengo instaladas dos versiones de gtk?

Usando el siguiente comando para ver qué versión de gtk está usando mi sistema: apt-cache policy libgtk2.0-0 libgtk-3-0

Dice:

libgtk2.0-0:
  Installed: 2.24.27-0ubuntu1
  Candidate: 2.24.27-0ubuntu1
  Version table:
  *** 2.24.27-0ubuntu1 0
            500 http://archive.ubuntu.com/ubuntu/ vivid/main AMD64 Packages
            100 /var/lib/dpkg/status

libgtk-3-0:
  Installed: 3.14.13-0ubuntu1
  Candidate: 3.14.13-0ubuntu1
  Version table:
  *** 3.14.13-0ubuntu1 0
            500 http://archive.ubuntu.com/ubuntu/ vivid-updates/main AMD64 Packages
            100 /var/lib/dpkg/status
      3.14.12-0ubuntu2 0
            500 http://archive.ubuntu.com/ubuntu/ vivid/main AMD64 Packages

Parece estar diciendo que tengo dos versiones instaladas. ¿Porque?

2
markling

Son diferentes versiones ABI de GTK +.

Como se menciona en los comentarios, algunas cosas todavía requieren GTK + 2.x, y no se han portado a GTK + 3.x. Del mismo modo, puede tener instalados Qt 4.xy 5.x, ya que diferentes aplicaciones requieren diferentes versiones.

4
dobey